<?php



class TblpresentationMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblpresentationMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblpresentationPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblpresentationPeer::TABLE_NAME);
		$tMap->setPhpName('Tblpresentation');
		$tMap->setClassname('Tblpresentation');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('PR_ID', 'PrId', 'INTEGER', true, null);

		$tMap->addColumn('PR_CATEGORY', 'PrCategory', 'INTEGER', false, null);

		$tMap->addColumn('PR_LESSON', 'PrLesson', 'INTEGER', false, null);

		$tMap->addColumn('PR_NAME', 'PrName', 'VARCHAR', false, 255);

		$tMap->addColumn('PR_SOURCE', 'PrSource', 'VARCHAR', true, 255);

		$tMap->addColumn('PR_KEYWORD', 'PrKeyword', 'VARCHAR', false, 255);

		$tMap->addColumn('PR_TYPE', 'PrType', 'VARCHAR', true, 3);

		$tMap->addColumn('PR_FILENAME', 'PrFilename', 'VARCHAR', true, 255);

		$tMap->addForeignKey('PR_USER', 'PrUser', 'INTEGER', 'tbluser', 'US_ID', false, null);

		$tMap->addColumn('PR_SLIDES', 'PrSlides', 'INTEGER', false, null);

		$tMap->addColumn('PR_DATE', 'PrDate', 'TIMESTAMP', false, null);

		$tMap->addColumn('PR_HIT', 'PrHit', 'INTEGER', true, null);

		$tMap->addColumn('PR_RATING', 'PrRating', 'INTEGER', true, null);

		$tMap->addColumn('PR_STATUS', 'PrStatus', 'INTEGER', false, null);

		$tMap->addColumn('PR_PLAYERNAME', 'PrPlayername', 'LONGVARCHAR', false, null);

		$tMap->addColumn('PR_CONTENT', 'PrContent', 'LONGVARCHAR', false, null);

		$tMap->addColumn('PR_VIEW', 'PrView', 'INTEGER', false, null);

		$tMap->addColumn('PR_FILESIZE', 'PrFilesize', 'INTEGER', false, null);

		$tMap->addColumn('PR_THUMBNAIL', 'PrThumbnail', 'TINYINT', false, null);

		$tMap->addColumn('PR_PRICE', 'PrPrice', 'INTEGER', false, null);

	} 
} 